calculator.php File Reference

## Variables

| $context = new \Brick\Money\Context\AutoContext()
| $baseCurrency = 'USD'
| $pdo = new PDO('mysql:host=' . $this->db->hostname . ';dbname=' . $this->db->database, $this->db->username, $this->db->password)
| $configuration = new PDOProviderConfiguration()
$configuration | tableName = 'exchange_rate'
$configuration | exchangeRateColumnName = 'exchange_rate'
$configuration | targetCurrencyColumnName = 'target_currency'
$configuration | sourceCurrencyCode = $baseCurrency
| $provider = new PDOProvider($pdo, $configuration)
| $converter = new CurrencyConverter($provider)
| $site_url = base_url()
| if ( $alert=="ok")
| $result = $countries
if($result) | else
if($showResult) if(isset($error_simulateur)) if(isset($message_code)) if(isset($montant_retrait)) | $currency = @$d->currency_code ? @$d->currency_code : 'XAF'
| $moneyComAg = Money::of(round(@$com_ag, 2),$currency,$context)
| $moneyComSup = Money::of(round(@$com_sup, 2),$currency,$context)
| $moneyComHyp = Money::of(round(@$com_hyp, 2),$currency,$context)
| $moneyComBq = Money::of(round(@$com_bq, 2),$currency,$context)

## Variable Documentation

## $baseCurrency

$baseCurrency = 'USD'

## $configuration

$configuration = new PDOProviderConfiguration()

## $context

$context = new \Brick\Money\Context\AutoContext()

## $converter

$converter = new CurrencyConverter($provider)

## $currency

if ( $showResult) if (isset( $error_simulateur)) if (isset( $message_code)) if (isset( $montant_retrait)) $currency = @$d->currency_code ? @$d->currency_code : 'XAF'

## $moneyComAg

$moneyComAg = Money::of(round(@$com_ag, 2),$currency,$context)

## $moneyComBq

$moneyComBq = Money::of(round(@$com_bq, 2),$currency,$context)

## $moneyComHyp

$moneyComHyp = Money::of(round(@$com_hyp, 2),$currency,$context)

## $moneyComSup

$moneyComSup = Money::of(round(@$com_sup, 2),$currency,$context)

## $pdo

$pdo = new PDO('mysql:host=' . $this->db->hostname . ';dbname=' . $this->db->database, $this->db->username, $this->db->password)

## $provider

$provider = new PDOProvider($pdo, $configuration)

## $result

$result = $countries

## $site_url

$site_url = base_url()

## else

if ( $result) else

Initial value:
{
echo $this->lang->line('no_country')

## exchangeRateColumnName

$configuration exchangeRateColumnName = 'exchange_rate'

## if

if($alert=="ok")

## sourceCurrencyCode

$configuration sourceCurrencyCode = $baseCurrency

## tableName

$configuration tableName = 'exchange_rate'

## targetCurrencyColumnName

$configuration targetCurrencyColumnName = 'target_currency'